# AP4_VideoSampleDescription Class Reference

`#include <Ap4SampleDescription.h>`

Inheritance diagram for AP4_VideoSampleDescription:

List of all members.

## Public Member Functions
| AP4_VideoSampleDescription (AP4_UI16 width, AP4_UI16 height, AP4_UI16 depth, const char *compressor_name)
AP4_UI32 | GetWidth ()
AP4_UI16 | GetHeight ()
AP4_UI16 | GetDepth ()
const char * | GetCompressorName ()
## Protected Attributes
AP4_UI16 | m_Width
AP4_UI16 | m_Height
AP4_UI16 | m_Depth
AP4_String | m_CompressorName

## Detailed Description

Definition at line 116 of file Ap4SampleDescription.h.

## Constructor & Destructor Documentation

AP4_VideoSampleDescription::AP4_VideoSampleDescription | ( | AP4_UI16 | width,
|  | AP4_UI16 | height,
|  | AP4_UI16 | depth,
|  | const char * | compressor_name |
| ) |  |  | `[inline]`

Definition at line 120 of file Ap4SampleDescription.h.

## Member Function Documentation

AP4_UI32 AP4_VideoSampleDescription::GetWidth | ( |  | ) | `[inline]`

Definition at line 130 of file Ap4SampleDescription.h.

References m_Width.

AP4_UI16 AP4_VideoSampleDescription::GetHeight | ( |  | ) | `[inline]`

Definition at line 131 of file Ap4SampleDescription.h.

References m_Height.

AP4_UI16 AP4_VideoSampleDescription::GetDepth | ( |  | ) | `[inline]`

Definition at line 132 of file Ap4SampleDescription.h.

References m_Depth.

const char* AP4_VideoSampleDescription::GetCompressorName | ( |  | ) | `[inline]`

Definition at line 133 of file Ap4SampleDescription.h.

References AP4_String::GetChars(), and m_CompressorName.

## Member Data Documentation

AP4_UI16 AP4_VideoSampleDescription::m_Width`[protected]`

Definition at line 137 of file Ap4SampleDescription.h.

Referenced by GetWidth().

AP4_UI16 AP4_VideoSampleDescription::m_Height`[protected]`

Definition at line 138 of file Ap4SampleDescription.h.

Referenced by GetHeight().

AP4_UI16 AP4_VideoSampleDescription::m_Depth`[protected]`

Definition at line 139 of file Ap4SampleDescription.h.

Referenced by GetDepth().

AP4_String AP4_VideoSampleDescription::m_CompressorName`[protected]`

Definition at line 140 of file Ap4SampleDescription.h.

Referenced by GetCompressorName().

The documentation for this class was generated from the following file:

- Ap4SampleDescription.h